#!/bin/bash

URL="https://www.lzg.nrw.de/covid19/daten/laborbest_faelle_sars-cov-2.pdf"
echo -e "Version: 1.6.0p7\nAgentOS: linux\nHostname: Nordrhein-Westfalen\n\n<<<local>>>"

## wir werten die offiziellen Daten aus
wget --quiet -O /tmp/corona.pdf "${URL}"

## Inzidenz entspricht den 7-Tages-Inzidenz
## nFaelle14 entspricht den neuen Fällen in 14 Tagen und wird nicht betrachtet
pdfgrep " " /tmp/corona.pdf | grep -v 'auf Basis des Algorithmus des RKI'| sed 's/(Städteregion)//'|while read Landkreis Inzidenz nFaelle nFaelle14 gFaelle Genesene Todesfaelle
do
        ## Etwas filtern
        [ `echo "$Landkreis $Inzidenz $nFaelle $gFaelle $Genesene $Todesfaelle" | wc -w` -ne 6 ]  && continue

        ## Berenigte Werte für die Ausgabe
        InzidenzB=`echo ${Inzidenz} | cut -d',' -f1`
        LandkreisB=`echo ${Landkreis} | sed 's/ /_/g'`

        ## Okay, wir verdoppeln das kritische mal auf 100
        if [ ${InzidenzB} -ge 100 ]
        then
                STATE=2 
        ## und gewarnt wird "erst" ab 50
        elif [ ${InzidenzB} -ge 50 ]
        then
                STATE=1
        else
                STATE=0
        fi

        echo "${STATE} ${Landkreis} Inzidenz=${InzidenzB}|neueFaelle=${nFaelle}|gemeldetenFaelle=${gFaelle}|Genesene=${Genesene}|Todesfaelle=${Todesfaelle} 7-Tage-Inzidenz: ${InzidenzB} neueFaelle: ${nFaelle} gemeldetenFaelle: ${gFaelle} Genesene: ${Genesene} Todesfaelle: ${Todesfaelle}" 
        
done


rm /tmp/corona.pdf
